VTK: vtk::detail Namespace Reference

| VTK 9.3.1

Namespaces | Classes | Typedefs | Functions | Variables
vtk::detail Namespace Reference

## Namespaces
| iarrays
| smp

## Classes
struct | CollectionRange
struct | CollectionIterator
struct | IsCollection
struct | GetCollectionItemType
struct | IsVtkDataArray
struct | IsValidTupleSize
struct | IsStaticTupleSize
struct | AreStaticTupleSizes
struct | IsEitherTupleSizeDynamic
struct | GenericTupleSize
struct | GenericTupleSize< DynamicTupleSize >
struct | GetAPITypeImpl
struct | GetAPITypeImpl< vtkDataArray >
struct | IsAOSDataArrayImpl
struct | SelectTupleRange
struct | SelectValueRange
struct | ConstTupleReference
struct | TupleReference
struct | ConstTupleIterator
struct | TupleIterator
struct | TupleRange
struct | ConstTupleReference< vtkAOSDataArrayTemplate< ValueType >, TupleSize >
struct | TupleReference< vtkAOSDataArrayTemplate< ValueType >, TupleSize >
struct | ConstTupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >
struct | TupleIterator< vtkAOSDataArrayTemplate< ValueType >, TupleSize >
struct | TupleRange< vtkAOSDataArrayTemplate< ValueType >, TupleSize >
struct | ConstComponentReference
struct | ComponentReference
struct | ConstComponentIterator
struct | ComponentIterator
struct | ValueRange< vtkAOSDataArrayTemplate< ValueTypeT >, TupleSize >
struct | ValueReference
struct | ConstValueReference
struct | ValueIterator
struct | ConstValueIterator
struct | ValueRange
struct | IdStorage
struct | make_void
struct | has_map_trait
| used to check whether the template type has a method named map More...
struct | has_map_trait< T, void_t< decltype(&std::remove_reference< T >::type::map)> >
struct | has_map_trait< T * >
struct | has_map_trait< const T >
struct | has_map_trait< R(T::*)(Arg) const >
struct | has_map_trait< R(Arg)>
struct | is_closure_trait
| A trait determining whether an object acts like a mono-variable integer closure. More...
struct | is_closure_trait< Closure, void_t< decltype(&Closure::operator())> >
struct | is_closure_trait< Closure * >
struct | is_closure_trait< const Closure >
struct | is_closure_trait< Closure & >
struct | is_closure_trait< R(Closure::*)(Arg) const >
struct | is_closure_trait< R(*)(Arg)>
struct | is_closure_trait< R(Arg)>
struct | has_map_tuple_trait
| used to check whether the template type has a method named mapTuple More...
struct | has_map_tuple_trait< T, void_t< decltype(&std::remove_reference< T >::type::mapTuple)> >
struct | has_map_tuple_trait< T * >
struct | has_map_tuple_trait< const T >
struct | has_map_tuple_trait< void(T::*)(ArgIdx, ArgTup *) const >
struct | has_map_tuple_trait< void(ArgIdx, ArgTup *)>
struct | has_map_component_trait
| used to check whether the template type has a method named mapComponent More...
struct | has_map_component_trait< T, void_t< decltype(&std::remove_reference< T >::type::mapComponent)> >
struct | has_map_component_trait< T * >
struct | has_map_component_trait< const T >
struct | has_map_component_trait< R(T::*)(ArgTupIdx, ArgCompIdx) const >
struct | has_map_component_trait< R(ArgTupIdx, ArgCompIdx)>
struct | can_map_trait
| An intermediate trait for exposing a unified trait interface. More...
struct | can_map_trait< T, void_t< typename has_map_trait< T >::rtype > >
struct | can_close_trait
| An intermediate trait for exposing a unified trait interface. More...
struct | can_close_trait< T, void_t< typename is_closure_trait< T >::rtype > >
struct | can_map_tuple_trait
| An intermediate trait for exposing a unified trait interface. More...
struct | can_map_tuple_trait< T, void_t< typename has_map_tuple_trait< T >::rtype > >
struct | can_map_component_trait
| An intermediate trait for exposing a unified trait interface. More...
struct | can_map_component_trait< T, void_t< typename has_map_component_trait< T >::rtype > >
struct | implicit_array_traits
| A composite trait for handling all the different capabilities a "backend" to an implicit array can have. More...
struct | AddNames
struct | StripPointers
struct | StripPointers< T * >
struct | StripPointers< vtkNew< ArrayType > >
struct | StripPointers< vtkSmartPointer< ArrayType > >
struct | StripPointers< vtkWeakPointer< ArrayType > >
struct | IsComplete
struct | IterableTraits
struct | Name
struct | MTimeWatcher
struct | NoOpMTimeWatcher
struct | CompositeDataSetIterator
struct | CompositeDataSetRange
struct | DataObjectTreeIterator
struct | DataObjectTreeRange

## Typedefs
template<typename CollectionType , typename T = CollectionType>
using | EnableIfIsCollection = typename std::enable_if< IsCollection< CollectionType >::value, T >::type
template<typename T >
using | EnableIfVtkDataArray = typename std::enable_if< IsVtkDataArray< T >::value >::type
template<ComponentIdType TupleSize>
using | EnableIfValidTupleSize = typename std::enable_if< IsValidTupleSize< TupleSize >::value >::type
template<ComponentIdType TupleSize>
using | EnableIfStaticTupleSize = typename std::enable_if< IsStaticTupleSize< TupleSize >::value >::type
template<ComponentIdType S1, ComponentIdType S2, typename T = void>
using | EnableIfStaticTupleSizes = typename std::enable_if< AreStaticTupleSizes< S1, S2 >::value, T >::type
template<ComponentIdType S1, ComponentIdType S2, typename T = void>
using | EnableIfEitherTupleSizeIsDynamic = typename std::enable_if< IsEitherTupleSizeDynamic< S1, S2 >::value, T >::type
template<typename... Ts>
using | void_t = typename make_void< Ts... >::type
using | DebugMTimeWatcher = MTimeWatcher
template<class ObjectType >
using | DebugWeakPointer = vtkWeakPointer< ObjectType >
using | CompositeDataSetIteratorReference = vtk::CompositeDataSetNodeReference< vtkCompositeDataIterator, CompositeDataSetIterator >
using | DataObjectTreeIteratorReference = vtk::CompositeDataSetNodeReference< vtkDataObjectTreeIterator, DataObjectTreeIterator >

## Functions
template<typename ArrayType , ComponentIdType TupleSize, typename ValueType = typename ArrayType::ValueType, typename AOSArrayType = vtkAOSDataArrayTemplate<ValueType>, typename = typename std::enable_if<IsAOSDataArray<ArrayType>::value>::type>
TupleRange< AOSArrayType, TupleSize > | DeclareTupleRangeSpecialization (ArrayType *)
template<typename ArrayType , ComponentIdType TupleSize>
TupleRange< ArrayType, TupleSize > | DeclareTupleRangeSpecialization (vtkDataArray *)
template<typename ArrayType , ComponentIdType TupleSize, typename ValueType = typename ArrayType::ValueType, typename AOSArrayType = vtkAOSDataArrayTemplate<ValueType>, typename = typename std::enable_if<IsAOSDataArray<ArrayType>::value>::type>
ValueRange< AOSArrayType, TupleSize > | DeclareValueRangeSpecialization (ArrayType *)
template<typename ArrayType , ComponentIdType TupleSize>
ValueRange< ArrayType, TupleSize > | DeclareValueRangeSpecialization (vtkDataArray *)
template<typename CollectionType , typename = typename std::enable_if<std::is_base_of<vtkCollection, CollectionType>::value>::type>
CollectionRange< CollectionType > & | DeduceRangeType (const CollectionType &)
CompositeDataSetRange & | DeduceRangeType (const vtkCompositeDataSet &)
DataObjectTreeRange & | DeduceRangeType (const vtkDataObjectTree &)

## Variables
static constexpr ComponentIdType | DynamicTupleSize = 0

## Typedef Documentation

## ◆ EnableIfIsCollection

template<typename CollectionType , typename T = CollectionType>

using vtk::detail::EnableIfIsCollection = typedef typename std::enable_if<IsCollection<CollectionType>::value, T>::type

Definition at line 33 of file vtkCollectionRange.h.

## ◆ EnableIfVtkDataArray

template<typename T >

using vtk::detail::EnableIfVtkDataArray = typedef typename std::enable_if<IsVtkDataArray<T>::value>::type

Definition at line 80 of file vtkDataArrayMeta.h.

## ◆ EnableIfValidTupleSize

template<ComponentIdType TupleSize>

using vtk::detail::EnableIfValidTupleSize = typedef typename std::enable_if<IsValidTupleSize<TupleSize>::value>::type

Definition at line 90 of file vtkDataArrayMeta.h.

## ◆ EnableIfStaticTupleSize

template<ComponentIdType TupleSize>

using vtk::detail::EnableIfStaticTupleSize = typedef typename std::enable_if<IsStaticTupleSize<TupleSize>::value>::type

Definition at line 100 of file vtkDataArrayMeta.h.

## ◆ EnableIfStaticTupleSizes

template<ComponentIdType S1, ComponentIdType S2, typename T = void>

using vtk::detail::EnableIfStaticTupleSizes = typedef typename std::enable_if<AreStaticTupleSizes<S1, S2>::value, T>::type

Definition at line 111 of file vtkDataArrayMeta.h.

## ◆ EnableIfEitherTupleSizeIsDynamic

template<ComponentIdType S1, ComponentIdType S2, typename T = void>

using vtk::detail::EnableIfEitherTupleSizeIsDynamic = typedef typename std::enable_if<IsEitherTupleSizeDynamic<S1, S2>::value, T>::type

Definition at line 123 of file vtkDataArrayMeta.h.

## ◆ void_t

template<typename... Ts>

using vtk::detail::void_t = typedef typename make_void<Ts...>::type

Definition at line 49 of file vtkImplicitArrayTraits.h.

## ◆ DebugMTimeWatcher

using vtk::detail::DebugMTimeWatcher = typedef MTimeWatcher

Definition at line 60 of file vtkCompositeDataSetNodeReference.h.

## ◆ DebugWeakPointer

template<class ObjectType >

using vtk::detail::DebugWeakPointer = typedef vtkWeakPointer<ObjectType>

Definition at line 70 of file vtkCompositeDataSetNodeReference.h.

## ◆ CompositeDataSetIteratorReference

using vtk::detail::CompositeDataSetIteratorReference = typedef vtk::CompositeDataSetNodeReference<vtkCompositeDataIterator, CompositeDataSetIterator>

Definition at line 43 of file vtkCompositeDataSetRange.h.

## ◆ DataObjectTreeIteratorReference

using vtk::detail::DataObjectTreeIteratorReference = typedef vtk::CompositeDataSetNodeReference<vtkDataObjectTreeIterator, DataObjectTreeIterator>

Definition at line 45 of file vtkDataObjectTreeRange.h.

## Function Documentation

## ◆ DeclareTupleRangeSpecialization() [1/2]

template<typename ArrayType , ComponentIdType TupleSize, typename ValueType = typename ArrayType::ValueType, typename AOSArrayType = vtkAOSDataArrayTemplate<ValueType>, typename = typename std::enable_if<IsAOSDataArray<ArrayType>::value>::type>

TupleRange<AOSArrayType, TupleSize> vtk::detail::DeclareTupleRangeSpecialization | ( | ArrayType * |  | ) |

## ◆ DeclareTupleRangeSpecialization() [2/2]

template<typename ArrayType , ComponentIdType TupleSize>

TupleRange<ArrayType, TupleSize> vtk::detail::DeclareTupleRangeSpecialization | ( | vtkDataArray * |  | ) |

## ◆ DeclareValueRangeSpecialization() [1/2]

template<typename ArrayType , ComponentIdType TupleSize, typename ValueType = typename ArrayType::ValueType, typename AOSArrayType = vtkAOSDataArrayTemplate<ValueType>, typename = typename std::enable_if<IsAOSDataArray<ArrayType>::value>::type>

ValueRange<AOSArrayType, TupleSize> vtk::detail::DeclareValueRangeSpecialization | ( | ArrayType * |  | ) |

## ◆ DeclareValueRangeSpecialization() [2/2]

template<typename ArrayType , ComponentIdType TupleSize>

ValueRange<ArrayType, TupleSize> vtk::detail::DeclareValueRangeSpecialization | ( | vtkDataArray * |  | ) |

## ◆ DeduceRangeType() [1/3]

template<typename CollectionType , typename = typename std::enable_if<std::is_base_of<vtkCollection, CollectionType>::value>::type>

CollectionRange<CollectionType>& vtk::detail::DeduceRangeType | ( | const CollectionType & |  | ) |

## ◆ DeduceRangeType() [2/3]

CompositeDataSetRange& vtk::detail::DeduceRangeType | ( | const vtkCompositeDataSet & |  | ) |

## ◆ DeduceRangeType() [3/3]

DataObjectTreeRange& vtk::detail::DeduceRangeType | ( | const vtkDataObjectTree & |  | ) |

## Variable Documentation

## ◆ DynamicTupleSize

constexpr ComponentIdType vtk::detail::DynamicTupleSize = 0
| staticconstexpr

Definition at line 70 of file vtkDataArrayMeta.h.